-- Deploy camper:services_carousel to pg
-- requires: roles
-- requires: schema_camper
-- requires: company
-- requires: media
-- requires: user_profile

begin;

set search_path to camper, public;

create table services_carousel (
	media_id integer not null primary key references media,
	caption text not null,
	position integer not null default 2147483647
);

grant select on table services_carousel to guest;
grant select on table services_carousel to employee;
grant select, insert, update, delete on table services_carousel to admin;

alter table services_carousel enable row level security;

create policy guest_ok
on services_carousel
for select
using (true)
;

create policy insert_to_company
on services_carousel
for insert
with check (
	exists (select 1 from media join user_profile using (company_id) where media.media_id = services_carousel.media_id)
)
;

create policy update_company
on services_carousel
for update
using (
	exists (select 1 from media join user_profile using (company_id) where media.media_id = services_carousel.media_id)
)
;

create policy delete_from_company
on services_carousel
for delete
using (
	exists (select 1 from media join user_profile using (company_id) where media.media_id = services_carousel.media_id)
)
;

commit;
